<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelParameterBlock Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelParameterBlock Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelParameterBlock" --><!-- doxytag: inherits="iBase" -->
<p>This interface is a parameter block that can be used to pass parameters through SendMessage() in a behaviour.  
 <a href="structiCelParameterBlock.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="behave_8h_source.html">behaviourlayer/behave.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelParameterBlock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelParameterBlock.png" usemap="#iCelParameterBlock_map" alt=""/>
  <map id="iCelParameterBlock_map" name="iCelParameterBlock_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,123,24"/>
</map>
 </div></div>

<p><a href="structiCelParameterBlock-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelParameterBlock.html#a320b5d78ceb8de02a8938f603a2e4084">GetParameter</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> id) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter given an id.  <a href="#a320b5d78ceb8de02a8938f603a2e4084"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelParameterBlock.html#ab4e6774c7ac75f7936e19d6c145c84f8">GetParameterByIndex</a> (size_t idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter given an index.  <a href="#ab4e6774c7ac75f7936e19d6c145c84f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelParameterBlock.html#a3a66b42c65946965dd3f12b66e7da4dc">GetParameterCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get number of parameters.  <a href="#a3a66b42c65946965dd3f12b66e7da4dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelParameterBlock.html#a48f49c5f5f6ee88f2aa65065e296521c">GetParameterDef</a> (size_t idx, celDataType &amp;t) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameter with index.  <a href="#a48f49c5f5f6ee88f2aa65065e296521c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is a parameter block that can be used to pass parameters through SendMessage() in a behaviour. </p>
<p>Parameter ids are constructed directly from the name with iCelPlLayer-&gt;FetchStringID(). </p>

<p>Definition at line <a class="el" href="behave_8h_source.html#l00038">38</a> of file <a class="el" href="behave_8h_source.html">behave.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a320b5d78ceb8de02a8938f603a2e4084"></a><!-- doxytag: member="iCelParameterBlock::GetParameter" ref="a320b5d78ceb8de02a8938f603a2e4084" args="(csStringID id) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiCelParameterBlock.html#a320b5d78ceb8de02a8938f603a2e4084">iCelParameterBlock::GetParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter given an id. </p>

</div>
</div>
<a class="anchor" id="ab4e6774c7ac75f7936e19d6c145c84f8"></a><!-- doxytag: member="iCelParameterBlock::GetParameterByIndex" ref="ab4e6774c7ac75f7936e19d6c145c84f8" args="(size_t idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiCelParameterBlock.html#ab4e6774c7ac75f7936e19d6c145c84f8">iCelParameterBlock::GetParameterByIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter given an index. </p>

</div>
</div>
<a class="anchor" id="a3a66b42c65946965dd3f12b66e7da4dc"></a><!-- doxytag: member="iCelParameterBlock::GetParameterCount" ref="a3a66b42c65946965dd3f12b66e7da4dc" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelParameterBlock.html#a3a66b42c65946965dd3f12b66e7da4dc">iCelParameterBlock::GetParameterCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get number of parameters. </p>

</div>
</div>
<a class="anchor" id="a48f49c5f5f6ee88f2aa65065e296521c"></a><!-- doxytag: member="iCelParameterBlock::GetParameterDef" ref="a48f49c5f5f6ee88f2aa65065e296521c" args="(size_t idx, celDataType &amp;t) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> <a class="el" href="structiCelParameterBlock.html#a48f49c5f5f6ee88f2aa65065e296521c">iCelParameterBlock::GetParameterDef</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">celDataType &amp;&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameter with index. </p>
<p>Returns the id and sets 'type' to the appropriate value. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>behaviourlayer/<a class="el" href="behave_8h_source.html">behave.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
